<?php
	include ('include/config.php') ;
	include ('include/admin_check.php') ;
	include ('include/functions.php') ;
	
	$id = szovegfeldolgoz($_GET["id"]) ;
	
	if (!is_numeric($id)) {
		header("Location: index.php") ;
		exit() ;
	}
			
	$query = "select id, nyelv_rovid, kep from nyelvek order by suly" ;
	$result = lekerdez($query) ;
	$nyelvek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$nyelvek[$sor["id"]] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$query = "select hirek.*, hir_szovegek.cim, hir_szovegek.hir_rovid, hir_szovegek.hir_teljes, hir_szovegek.nyelv from hirek inner join hir_szovegek on (hirek.id = hir_szovegek.hir_id) where hirek.id = $id" ;
	$result = lekerdez($query) ;
	$sorok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$sor["hir_rovid"] = str_replace("{kep_path}", $oldal_kep_path, $sor["hir_rovid"]) ;
			$sor["hir_teljes"] = str_replace("{kep_path}", $oldal_kep_path, $sor["hir_teljes"]) ;
			$sor["hir_rovid"] = str_replace("{file_path}", $oldal_file_path, $sor["hir_rovid"]) ;
			$sor["hir_teljes"] = str_replace("{file_path}", $oldal_file_path, $sor["hir_teljes"]) ;
			$sorok[$sor["nyelv"]] = $sor ;
		}
		mysqli_free_result($result) ;
	}	
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	$adatok = $_SESSION["adatok_vissza"] ;
	unset($_SESSION["adatok_vissza"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}		
?>

<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Cikk szerkesztése</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">

<script src="js/jquery-1.10.2.js" type="text/javascript"></script>

    <!-- JavaScript -->

    <script src="js/bootstrap.js"></script>



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->


<script type="text/javascript" src="tinymce/js/tinymce/tinymce.min.js"></script>

<script language="javascript" type="text/javascript">

tinymce.init({

    selector: "textarea.mcEditor",

    theme: "modern",

	content_css : "/tiny_style.css",

	language : "hu_HU",

    plugins: [

        "advlist autolink lists link image charmap print preview hr anchor pagebreak",

        "searchreplace wordcount visualblocks visualchars code fullscreen",

        "insertdatetime media nonbreaking save table contextmenu directionality",

        "emoticons template paste textcolor filemanager importcss"

    ],

    toolbar1: "insertfile undo redo | styleselect formatselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",

    toolbar2: "print preview media | forecolor backcolor emoticons",

    image_advtab: true,

	extended_valid_elements : "a[name|href|target|title|onclick|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],div[class|align|style],iframe[src|width|height|name|align|class], embed[width|height|name|flashvars|src|bgcolor|align|play|loop|quality|allowscriptaccess|type|pluginspage], h1[class|width], h2[class|width], h3[class|width], h4[class|width], h5[class|width], h6[class|width]",

    templates: [

        {title: 'Test template 1', content: 'Test 1'},

        {title: 'Test template 2', content: 'Test 2'}

    ]



});





function toggleEditor(id) {

	if (!tinymce.get(id))

		tinymce.execCommand('mceAddEditor', false, id);

	else

		tinymce.execCommand('mceRemoveEditor', false, id);

}

$(document).ready(function() {
	$("#nav-news").addClass("open") ;
}) ;

function torol(id) {
		if (confirm("Biztos benne?"))
	  {
			 document.location.href="formok/news-delete.php?id="+id;
	  }
}		

</script>    
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Cikk szerkesztése</h1>

          </div>
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>		
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

            <form role="form" name="edit_news_form" action="formok/news-edit.php" method="post" enctype="multipart/form-data">

			<input type="hidden" name="id" value="<?php echo $id;?>">


              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("cim", $hibasak)) echo ' has-error';?>">

                <label>Cikk címe</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="cim_<?php echo $nyelv["id"];?>" type="text" id="cim_<?php echo $nyelv["id"];?>" value="<?php echo $sorok[$nyelv_id]["cim"];?>"></p>
	<?php
		}
	?>
                <p class="help-block">A hír, cikk címét adja meg itt</p>

              </div>
                </div>
              </div>
                                  
              
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Kiemelt kép</label>
				<img src="<?php echo $cikk_kep_path.$sorok[$nyelv_id]["fokep_url"];?>" border="0" /><br />
                <input type="file" name="kep">

              </div> 
                </div>
              </div>
              

              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group <?php if (in_array("hir_rovid", $hibasak)) echo ' has-error';?>">

                <label>Cikk tartalma röviden</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea class="form-control mcEditor" name="hir_rovid_<?php echo $nyelv["id"];?>" id="hir_rovid_<?php echo $nyelv["id"];?>" rows="10"><?php echo $sorok[$nyelv_id]["hir_rovid"];?></textarea><br />
<div><a href="javascript:toggleEditor('hir_rovid_<?php echo $nyelv["id"];?>');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>
	<?php
		}
	?>
            </div>
                </div>
              </div>

              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group <?php if (in_array("hir_teljes", $hibasak)) echo ' has-error';?>">

                <label>Cikk teljes tartalma</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea class="form-control mcEditor" name="hir_teljes_<?php echo $nyelv["id"];?>" id="hir_teljes_<?php echo $nyelv["id"];?>" rows="30"><?php echo $sorok[$nyelv_id]["hir_teljes"];?></textarea><br />
<div><a href="javascript:toggleEditor('hir_teljes_<?php echo $nyelv["id"];?>');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>
	<?php
		}
	?>
            </div>
                </div>
              </div>
              
              
              <div class="form-group <?php if (in_array("aktiv", $hibasak)) echo ' has-error';?>">

                <label>Cikk státusz</label>

                <div class="radio">

                  <label>

                    <input type="radio" name="aktiv" id="lathato1" value="1" <?php if ($sorok[$nyelv_id]["aktiv"] == 1) echo "checked";?>>

                    Aktív

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="aktiv" id="lathato2" value="0" <?php if ($sorok[$nyelv_id]["aktiv"] == 0) echo "checked";?>>

                    Inaktív

                  </label>

                </div>                
                <p class="help-block">Az aktív oldalak megjelennek a honlapon, az inaktívak nem.</p>                  

              </div>

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Mentés</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript: torol('<?php echo $id;?>');">
              	<span class="glyphicon glyphicon-remove-sign">Cikk törlése</span> 
              </button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->







  </body>

</html>

